summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichel Zou2015-12-23 14:25:45 +0100
committerMichel Zou2015-12-23 14:25:45 +0100
commitcca2416179422180ddcf737e090c636c36018d6a (patch)
treee5485d1521806e635bd531809bb15358432bfb48
downloadaur-cca2416179422180ddcf737e090c636c36018d6a.tar.gz
first import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD26
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..edd2a95b839
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+# Generated by mksrcinfo v8
+# Wed Dec 23 13:25:45 UTC 2015
+pkgbase = firefox-extension-block-site
+ pkgdesc = Automagically blocks websites of your choice.
+ pkgver = 1.1.8
+ pkgrel = 1
+ url = https://addons.mozilla.org/firefox/addon/3145
+ arch = any
+ license = LGPL
+ depends = firefox
+ source = https://addons.cdn.mozilla.net/user-media/addons/3145/blocksite-1.1.8-fx.xpi
+ sha256sums = 46b43ff8b6ab8224f1aa02352a6a69f6e1b4c57c309e073967950e4e7385ccbc
+
+pkgname = firefox-extension-block-site
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..83065cb06f6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+
+_plugin_name="block-site"
+_plugin_version=1.1.8
+_plugin_id=3145
+pkgdesc="Automagically blocks websites of your choice."
+license=('LGPL')
+
+pkgname=firefox-extension-$_plugin_name
+pkgver=$_plugin_version
+pkgrel=1
+arch=('any')
+url="https://addons.mozilla.org/firefox/addon/$_plugin_id"
+depends=("firefox")
+source=("https://addons.cdn.mozilla.net/user-media/addons/${_plugin_id}/blocksite-${pkgver}-fx.xpi")
+sha256sums=('46b43ff8b6ab8224f1aa02352a6a69f6e1b4c57c309e073967950e4e7385ccbc')
+
+package() {
+ cd $srcdir
+ emid=$(sed -n '/.*<em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf) || return 1
+ local dstdir=$pkgdir/usr/lib/firefox/browser/extensions/${emid}
+ install -d $dstdir
+ rm *.xpi
+ mv * $dstdir
+}
+
+